org.icefaces.ace.event

## Class PointValueChangeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - javax.faces.event.ValueChangeEvent
      - - org.icefaces.ace.event.PointValueChangeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class PointValueChangeEvent
      extends javax.faces.event.ValueChangeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PointValueChangeEvent(javax.faces.component.UIComponent component, java.lang.Object[] oldValue, java.lang.Object[] newValue, java.lang.Integer seriesIndex, java.lang.Integer pointIndex)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getPointIndex()`
    `java.lang.Integer` | `getSeriesIndex()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `setPointIndex(java.lang.Integer pointIndex)`
    `void` | `setSeriesIndex(java.lang.Integer seriesIndex)`

    - ### Methods inherited from class javax.faces.event.ValueChangeEvent

      `getNewValue, getOldValue, processListener`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PointValueChangeEvent

          public PointValueChangeEvent(javax.faces.component.UIComponent component,
                                       java.lang.Object[] oldValue,
                                       java.lang.Object[] newValue,
                                       java.lang.Integer seriesIndex,
                                       java.lang.Integer pointIndex)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Overrides:
        `isAppropriateListener` in class `javax.faces.event.ValueChangeEvent`

    - #### getSeriesIndex

          public java.lang.Integer getSeriesIndex()

    - #### setSeriesIndex

          public void setSeriesIndex(java.lang.Integer seriesIndex)

    - #### getPointIndex

          public java.lang.Integer getPointIndex()

    - #### setPointIndex

          public void setPointIndex(java.lang.Integer pointIndex)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.